
From: Matt Mackall <mpm@selenic.com>

Minor type cleanup.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/bitops.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/bitops.h~rol-ror-type-cleanup include/linux/bitops.h
--- 25/include/linux/bitops.h~rol-ror-type-cleanup	Thu Mar 10 16:24:10 2005
+++ 25-akpm/include/linux/bitops.h	Thu Mar 10 16:24:10 2005
@@ -140,7 +140,7 @@ static inline unsigned long hweight_long
  * @word: value to rotate
  * @shift: bits to roll
  */
-static inline __u32 rol32(__u32 word, int shift)
+static inline __u32 rol32(__u32 word, unsigned int shift)
 {
 	return (word << shift) | (word >> (32 - shift));
 }
@@ -151,7 +151,7 @@ static inline __u32 rol32(__u32 word, in
  * @word: value to rotate
  * @shift: bits to roll
  */
-static inline __u32 ror32(__u32 word, int shift)
+static inline __u32 ror32(__u32 word, unsigned int shift)
 {
 	return (word >> shift) | (word << (32 - shift));
 }
_
